<script setup>
import { ref } from 'vue'
import { Carousel, Slide } from 'vue3-carousel'
import 'vue3-carousel/dist/carousel.css'
import data from '@/json/home/otherBrands.json'

const breakpoints = ref({
    0: {
        itemsToShow: 1.5,
    },
    500: {
        itemsToShow: 2.5,
    },
    960: {
        itemsToShow: 3.5,
    },
    1280: {
        itemsToShow: 3.5,
    },
})
const settings = ref({
    itemsToShow: 1,
})
</script>

<template>
    <v-container class="mb-sm-16 mb-0 mt-sm-10 mt-0 pb-10">
        <h2 class="text-center"> شرکت های زیرمجموعه</h2>
        <Carousel :wrap-around="true" dir="rtl" v-bind="settings" :breakpoints="breakpoints">
            <Slide v-for="(item, i) in data.items" :key="i">
                <NuxtLink :to="item.link">
                    <v-sheet class="mx-auto" height="150" width="150">
                        <div class="brand">
                            <v-img :src="item.img"></v-img>
                        </div>
                    </v-sheet>
                    <h5 class="text-center mt-5 text-blue ">{{ item.name }}</h5>
                </NuxtLink>
            </Slide>
        </Carousel>
    </v-container>
</template>

<style lang="scss" scoped>
h2 {
    line-height: 37px;
    color: #3B5099;
    font-weight: 700;
    margin-bottom: 50px;
}

.v-sheet {
    border-radius: 50% !important;
    box-shadow: 0 10px 15px rgba(58, 112, 191, 0.1) !important;
    padding: 10px;
    position: relative;

    &::before {
        content: "";
        display: block;
        width: 100%;
        position: absolute;
        top: 73px;
        left: 100%;
        height: 1px;
        background: radial-gradient(ellipse at center, #d1dbe7 0, rgba(255, 255, 255, 0) 75%);
    }

    .brand {
        border: 1px solid #e3eeff;
        border-radius: 50%;
        width: 100%;
        height: 100%;
    }
}

@media only screen and (max-width:768px) {
    .v-sheet {
        &::before {
            display: none
        }
    }
}
</style>